@tailwind base;
@tailwind components;
@tailwind utilities;

* {
    overflow-x: hidden;
}

.header {
    background-color: rgb(80, 95, 232);
    color: aliceblue;
    width: 100%;
}

.main-wrap {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    min-height: 100vh;
    background-color: rgb(129 140 248);
}

.todo-wrap {
    max-width: 1366px;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    gap: 80px;
    justify-content: center;
}


.todo-text {
    max-width: 250px;
}

.todo-items {
    min-width: 450px;
}

.todo-fetch {
    max-width: 350px;
}

.headerWrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1170px;
    margin: 0 auto;
}

.todo-completed {
    text-decoration: line-through;
    color: rgb(150, 237, 150);
}

.todos-wrap {
    display: flex;
    width: 100%;
    margin-top: 7px;
    justify-content: space-between;
    align-items: center;
}

/* Анимация зачеркивания текста */
.todo-label {
    position: relative;
}

.todo-label::after {
    content: "";
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 100%;
    height: 1px;
    background-color: #8ae0b3;
    /* Цвет зачеркивания */
    transform: scaleX(0);
    transition: transform 0.3s ease;
}

.todo-label.checked::after {
    transform: scaleX(1);
}

/* Анимация плавного появления галочки */
.checkbox {
    position: relative;
    opacity: 1;
    width: 16px;
    height: 16px;
    border: 2px solid #000;
    /* Цвет обводки чекбокса */
    border-radius: 4px;
    transition: opacity 0.3s ease;
}


.checkbox:checked {
    opacity: 1;
}



.formWrap {
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgb(129, 140, 248);
}

.registerForm {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 30px;
    padding: 40px;
    border-radius: 5px;
    background-color: rgb(186, 193, 255);
}

.logOutBtn {
    padding: 10px;
    background-color: rgb(129, 140, 248);
    border-radius: 5px;
    margin: 20px 0;
    transition: background-color .3s linear;
}

.logOutBtn:hover {
    background-color: rgb(97, 107, 191);
    color: bisque;
}

.textWrap {
    display: flex;
    gap: 15px;
}